org.eclipse.oomph.base

## Class BaseAnnotationConstants

- java.lang.Object
- - org.eclipse.oomph.base.BaseAnnotationConstants

-     public final class BaseAnnotationConstants
      extends Object

  Author:
    Ed Merks

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANNOTATION_CONVERSION`
    `static String` | `ANNOTATION_ERROR`
    `static String` | `ANNOTATION_INFO`
    `static String` | `ANNOTATION_SOURCE`
    `static String` | `ANNOTATION_WARNING`
    `static String` | `KEY_DIAGNOSTIC`
    `static String` | `KEY_ECLASS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_SOURCE

          public static final String ANNOTATION_SOURCE

      See Also:
        Constant Field Values

    - #### ANNOTATION_ERROR

          public static final String ANNOTATION_ERROR

      See Also:
        Constant Field Values

    - #### ANNOTATION_WARNING

          public static final String ANNOTATION_WARNING

      See Also:
        Constant Field Values

    - #### ANNOTATION_INFO

          public static final String ANNOTATION_INFO

      See Also:
        Constant Field Values

    - #### KEY_DIAGNOSTIC

          public static final String KEY_DIAGNOSTIC

      See Also:
        Constant Field Values

    - #### ANNOTATION_CONVERSION

          public static final String ANNOTATION_CONVERSION

      See Also:
        Constant Field Values

    - #### KEY_ECLASS

          public static final String KEY_ECLASS

      See Also:
        Constant Field Values

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html